Download it now!
Bug 62699 - drop "pass-through" header files
Summary: drop "pass-through" header files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Michael
URL:
Whiteboard: target:4.1.0 target:4.2.0 target:6.3....
Keywords: difficultyBeginner, easyHack, topicCleanup
: 63920 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-03-24 14:38 UTC by David Tardon
Modified: 2019-07-30 07:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Tardon 2013-03-24 14:38:02 UTC
The idea is to drop header files that only include one other header file. What should be done:

1. identify such a header
2. replace all includes of it directly by the included header
3. remove the header from Package_inc.mk of the module (if present)
4. remove the header file
5. lather, rinse, repeat :-)

Example header file is svx/inc/svx/svditext.hxx .
Comment 1 Commit Notification 2013-04-19 08:26:09 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f30f805bd87b940fd0693fb9f8c90e6ca779eff

fdo#62699: Drop wrapper header



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-04-20 18:20:01 UTC
Michael Dunphy committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13dcaae519920b0f8a3ad11308117a8f19144580

fdo#62699 Remove pass-through headers



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-04-21 05:57:35 UTC
Michael Dunphy committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f4fc74c34df6efd6b74aacc610bf6f52b615aa5

fdo#62699 Remove a few more pass-through headers



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 David Tardon 2013-04-25 18:13:45 UTC
*** Bug 63920 has been marked as a duplicate of this bug. ***
Comment 5 Commit Notification 2013-06-28 11:43:15 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab3f90e051256bbf0d999551fedb5106d0367d3a

fdo#62699 remove pass-through header



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-06-28 11:43:33 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61fd1d2e7803516e88a18017ee5d6a34d6ca14fa

fdo#62699 remove rsc/inc/vclrsc.hxx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-02 09:00:32 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10c6cb238f0ae5d5969ffd0012bf23305ac5894f

fdo#62699 drop pass-through header svx/svdattrx.hxx



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Björn Michaelsen 2013-10-04 18:46:18 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 9 Thomas Arnhold 2013-10-05 10:30:19 UTC
Lot of work was done, and if I remember correctly most are eliminated.
Comment 10 Robinson Tryon (qubit) 2015-12-16 05:14:00 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner TopicCleanup)
[NinjaEdit]
Comment 11 Robinson Tryon (qubit) 2016-02-18 16:37:06 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]
Comment 12 Commit Notification 2019-04-27 15:44:28 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e988299538435ddd1c838dede375567795d7943a%5E%21

tdf#62699 Drop pass-through header file include/svx/xsetit.hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-04-27 15:44:36 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9d3912d4afc09b3b36701044493a4ea8e0d0ca47%5E%21

tdf#62699 Drop pass-through header file include/svx/xtextit.hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-04-29 08:12:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7722ffd1f50ee431dfc501c4f0fecd40eb9046d3%5E%21

tdf#62699 Drop pass-through header file include/svx/xfillit.hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-04-30 10:28:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e1a928f28ac70c4b13cf4b6fe73e7b33e2e86d2f%5E%21

tdf#62699 Drop pass-through header file include/svx/xlineit.hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-05-07 08:42:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f0c3fc59e1eefbec202e0a10553dd6581fc2cae5%5E%21

tdf#62699 Drop pass-through header file include/svx/xattr.hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-05-10 07:15:42 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4709cd82c7fa31eac7bbc9f1991968891080c5f8%5E%21

tdf#62699 Drop pass-through header file include/svx/svdattr.hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-07-30 07:53:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b368329430e73a672fd53d65e962dbac7dee55ae%5E%21

tdf#62699 Drop (now) pass-through header include/vcl/salbtype.hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.